# (c) cavaliba.com



# ---------------------------------------- 
# Sirene Public
# ---------------------------------------- 

- classname: _permission
  keyname: p_data_sirene_public_admin
  is_builtin: True
  description: "Built-in data_sirene_public admin permission"
  displayname: p_data_sirene_public_admin

- classname: _permission
  keyname: p_data_sirene_public_create
  is_builtin: True
  description: "Built-in data_sirene_public create permission"
  displayname: p_data_sirene_public_create

- classname: _permission
  keyname: p_data_sirene_public_read
  is_builtin: True
  description: "Built-in data_sirene_public read permission"
  displayname: p_data_sirene_public_read

- classname: _permission
  keyname: p_data_sirene_public_update
  is_builtin: True
  description: "Built-in data_sirene_public update permission"
  displayname: p_data_sirene_public_update
      
- classname: _permission
  keyname: p_data_sirene_public_delete
  is_builtin: True
  description: "Built-in data_sirene_public delete permission"
  displayname: p_data_sirene_public_delete

- classname: _permission
  keyname: p_data_sirene_public_import
  is_builtin: True
  description: "Built-in data_sirene_public import permission"
  displayname: p_data_sirene_public_import

- classname: _permission
  keyname: p_data_sirene_public_export
  is_builtin: True
  description: "Built-in data_sirene_public export permission"
  displayname: p_data_sirene_public_export



- classname: _schema
  keyname: sirene_public
  handle_method: md5
  displayname: Public Pages
  is_enabled: yes
  icon: fa-globe
  order: 310
  page: Sirene
  p_admin: p_data_sirene_public_admin
  p_create: p_data_sirene_public_create
  p_read: p_data_sirene_public_read
  p_update: p_data_sirene_public_update
  p_delete: p_data_sirene_public_delete
  p_import: p_data_sirene_public_import
  p_export: p_data_sirene_public_export

  description:
    displayname: Description
    order: 100
    dataformat: string
  is_default:
    displayname: Default
    order: 110
    dataformat: boolean
  severity:
    displayname: Severity
    order: 120
    dataformat: enumerate
    dataformat_ext: sirene_severity
  bgcolor:
    displayname: Background Color
    order: 130
    dataformat: string
  fgcolor:
    displayname: Text Color
    order: 140
    dataformat: string
  content:
    displayname: Content
    order: 200
    dataformat: text
    dataformat_ext: html







# ---------------------------------------- 
# Sirene Message
# ---------------------------------------- 


- classname: _permission
  keyname: p_data_sirene_message_admin
  is_builtin: True
  description: "Built-in data_sirene_message admin permission"
  displayname: p_data_sirene_message_admin

- classname: _permission
  keyname: p_data_sirene_message_create
  is_builtin: True
  description: "Built-in data_sirene_message create permission"
  displayname: p_data_sirene_message_create

- classname: _permission
  keyname: p_data_sirene_message_read
  is_builtin: True
  description: "Built-in data_sirene_message read permission"
  displayname: p_data_sirene_message_read

- classname: _permission
  keyname: p_data_sirene_message_update
  is_builtin: True
  description: "Built-in data_sirene_message update permission"
  displayname: p_data_sirene_message_update
      
- classname: _permission
  keyname: p_data_sirene_message_delete
  is_builtin: True
  description: "Built-in data_sirene_message delete permission"
  displayname: p_data_sirene_message_delete

- classname: _permission
  keyname: p_data_sirene_message_import
  is_builtin: True
  description: "Built-in data_sirene_message import permission"
  displayname: p_data_sirene_message_import

- classname: _permission
  keyname: p_data_sirene_message_export
  is_builtin: True
  description: "Built-in data_sirene_message export permission"
  displayname: p_data_sirene_message_export






- classname: _schema
  keyname: sirene_message
  handle_method: uuid
  displayname: Messages
  is_enabled: yes
  icon: fa-file
  order: 999
  page: Internal
  p_admin: p_data_sirene_message_admin
  p_create: p_data_sirene_message_create
  p_read: p_data_sirene_message_read
  p_update: p_data_sirene_message_update
  p_delete: p_data_sirene_message_delete
  p_import: p_data_sirene_message_import
  p_export: p_data_sirene_message_export


  category:
    displayname: Category
    page: Information
    order: 110
    dataformat: enumerate
    dataformat_ext: sirene_category

  severity:
    displayname: Severity
    page: Information
    order: 120
    dataformat: enumerate
    dataformat_ext: sirene_severity

  public_page:
    displayname: Public Page
    page: Channels
    order: 130
    dataformat: schema
    dataformat_ext: sirene_public

  is_restricted:
    displayname: Restricted
    page: Channels
    order: 140
    dataformat: boolean

  has_email:
    displayname: Email
    page: Channels
    order: 150
    dataformat: boolean
    default: True

  has_sms:
    displayname: SMS
    page: Channels
    order: 160
    dataformat: boolean
    default: False


  notify_user:
    displayname: Notify Users
    page: Notify to
    order: 210
    dataformat: user
    cardinal_max: 0

  notify_group:
    displayname: Notify Groups
    page: Notify to
    order: 220
    dataformat: group
    cardinal_max: 0

  notify_app:
    displayname: Notify App
    page: Notify to
    order: 230
    dataformat: schema
    dataformat_ext: app
    cardinal_max: 0

  notify_site:
    displayname: Notify site
    page: Notify to
    order: 240
    dataformat: schema
    dataformat_ext: site
    cardinal_max: 0

  notified_username:
    displayname: All notified users
    page: Notify to
    order: 290
    dataformat: string
    cardinal_max: 0


#  Lifecycle

  created_at:
    displayname: Created
    page: Lifecycle
    order: 300
    dataformat: datetime
    
  created_by:
    displayname: Created by
    page: Lifecycle
    order: 310
    dataformat: user

  updated_at:
    displayname: Updated
    page: Lifecycle
    order: 320
    dataformat: datetime
    
  updated_by:
    displayname: Updated by
    page: Lifecycle
    order: 330
    dataformat: user


  removed_at:
    displayname: Removed
    page: Lifecycle
    order: 340
    dataformat: datetime
    
  removed_by:
    displayname: Removed by
    page: Lifecycle
    order: 350
    dataformat: user

  email_count:
    displayname: Emails
    page: Lifecycle
    order: 360
    dataformat: int

  sms_count:
    displayname: SMS
    page: Lifecycle
    order: 362
    dataformat: int


# -- Content

  content:
    displayname: Content
    page: Content
    order: 400
    dataformat: text
    dataformat_ext: html

  update:
    displayname: Update(s)
    page: Content
    order: 410
    dataformat: text
    dataformat_ext: json




# ---------------------------------------- 
# Sirene Template
# ---------------------------------------- 


- classname: _permission
  keyname: p_data_sirene_template_admin
  is_builtin: True
  description: "Built-in data_sirene_template admin permission"
  displayname: p_data_sirene_template_admin

- classname: _permission
  keyname: p_data_sirene_template_create
  is_builtin: True
  description: "Built-in data_sirene_template create permission"
  displayname: p_data_sirene_template_create

- classname: _permission
  keyname: p_data_sirene_template_read
  is_builtin: True
  description: "Built-in data_sirene_template read permission"
  displayname: p_data_sirene_template_read

- classname: _permission
  keyname: p_data_sirene_template_update
  is_builtin: True
  description: "Built-in data_sirene_template update permission"
  displayname: p_data_sirene_template_update
      
- classname: _permission
  keyname: p_data_sirene_template_delete
  is_builtin: True
  description: "Built-in data_sirene_template delete permission"
  displayname: p_data_sirene_template_delete

- classname: _permission
  keyname: p_data_sirene_template_import
  is_builtin: True
  description: "Built-in data_sirene_template import permission"
  displayname: p_data_sirene_template_import

- classname: _permission
  keyname: p_data_sirene_template_export
  is_builtin: True
  description: "Built-in data_sirene_template export permission"
  displayname: p_data_sirene_template_export






- classname: _schema
  keyname: sirene_template
  handle_method: md5
  displayname: Sirene Templates
  is_enabled: yes
  icon: fa-check-square
  order: 300
  page: Sirene
  p_admin: p_data_sirene_template_admin
  p_create: p_data_sirene_template_create
  p_read: p_data_sirene_template_read
  p_update: p_data_sirene_template_update
  p_delete: p_data_sirene_template_delete
  p_import: p_data_sirene_template_import
  p_export: p_data_sirene_template_export

  description:
    _action: delete

  hint:
    displayname: Hint
    page: Information
    order: 100
    dataformat: string

  category:
    displayname: Category
    page: Information
    order: 110
    dataformat: enumerate
    dataformat_ext: sirene_category

  severity:
    displayname: Severity
    page: Information
    order: 120
    dataformat: enumerate
    dataformat_ext: sirene_severity

  public_page:
    displayname: Public Page
    page: Channels
    order: 130
    dataformat: schema
    dataformat_ext: sirene_public

  is_restricted:
    displayname: Restricted
    page: Channels
    order: 140
    dataformat: boolean

  has_email:
    displayname: Email
    page: Channels
    order: 150
    dataformat: boolean
    default: True

  has_sms:
    displayname: SMS
    page: Channels
    order: 160
    dataformat: boolean
    default: False

  notify_user:
    displayname: Notify Users
    page: Notify to
    order: 310
    dataformat: user
    cardinal_max: 0

  notify_group:
    displayname: Notify Groups
    page: Notify to
    order: 320
    dataformat: group
    cardinal_max: 0

  notify_app:
    displayname: Notify App
    page: Notify to
    order: 330
    dataformat: schema
    dataformat_ext: app
    cardinal_max: 0

  notify_site:
    displayname: Notify site
    page: Notify to
    order: 340
    dataformat: schema
    dataformat_ext: site
    cardinal_max: 0

  content:
    displayname: Content
    page: Content
    order: 400
    dataformat: text
    dataformat_ext: html








